#开发环境
server:
  port: 8898
  compression:
    enabled: true
    mime-types: application/json
spring:
  #邮箱基本配置
  mail:
    #    配置在limit_time内，用户可以发送limit次验证码
    limit: 2 这个是我额外的配置，结合邮箱服务用的
    limitTime: 10 这个是我额外的配置
    #配置smtp服务主机地址
    # sina    smtp.sina.cn
    # aliyun  smtp.aliyun.com
    # 163     smtp.163.com       端口号465或994
    host: mail.privateemail.com
    #发送者邮箱
    username: do.not.reply@m2pool.com
    #配置密码,注意不是真正的密码，而是刚刚申请到的授权码
    #    password:
    #    password: M2202401!
    #    password: axvm-zfgx-cgcg-qhhu
    password: M2202401!
  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher
  application:
    # 应用名称
    name: m2pool-lease
  #  profiles:
  #    # 环境配置
  #    active: test
  cloud:
    nacos:
      discovery:
        # 服务注册地址
        server-addr: 10.168.2.220:8848
        namespace: m2_dev
        group: m2_dev_group
      #        server-addr: 127.0.0.1:8808
      config:
        # 配置中心地址
        server-addr: 10.168.2.220:8848
        #        server-addr: 127.0.0.1:8808
        # 配置文件格式
        file-extension: yml
        # 共享配置
        shared-configs:
          - application-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
        namespace: m2_dev
        group: m2_dev_group
  servlet:
    multipart:
      max-file-size: 2MB
      max-request-size: 8MB


netty:
  tcp:
    client:
      port: 2345
